#!../../bin/linux-x86_64-debug/testSimSupport

## You may have to change testSimSupport to something else
## everywhere it appears in this file

< envPaths

cd ${TOP}

## Register all support components
dbLoadDatabase "dbd/testSimSupport.dbd"
testSimSupport_registerRecordDeviceDriver pdbbase

## Load record instances
dbLoadRecords "db/matt.db"

# Create simulated motors: ( start card , start axis , low limit, high limit, home posn, # cards, # axes to setup)
motorSimCreate( 0, 0, -150000000, 150000000, 0, 1, 2 )
# Setup the Asyn layer (portname, low-level driver drvet name, card, number of axes on card)
drvAsynMotorConfigure("sim1", "motorSim", 0, 2)
asynSetTraceMask("sim1",-1,-1)

cd ${TOP}/iocBoot/${IOC}
iocInit

## Start any sequence programs
#seq sncxxx,"user=markoHost"
